textures/aruba_2/caulk
{	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/aruba_2/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/aruba_2/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/aruba_2/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water

}

textures/aruba_2/ladderclip
{
        qer_trans 0.40
	  qer_editor_image textures/aruba_2/ladderclip.jpg 
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	  surfaceparm trans
}

textures/aruba_2/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/aruba_2/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm detail
}

textures/aruba_2/hallow
{
	qer_editorimage "textures/aruba_2/hallow.jpg"
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nodamage
}

textures/aruba_2/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/aruba_2/elbrus
{
	qer_editorimage env/elbrus/elbrus_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 300
	surfaceparm sky
	q3map_sun 0.8 0.75 0.6 80 40 75
	skyparms env/elbrus/elbrus - -
}

textures/aruba_2/nebula
{
	qer_editorimage env/nebula_purple/dense_purple_nebula.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 500
	q3map_sun 0.968628 0.803922 0.984314 100 90 60
	skyParms env/nebula_purple/purewhitej 1200 -
	{
		map env/nebula_purple/circlegradcloudsdark.tga
		blendfunc add
		rgbGen const ( 0 0 0.368627 )
		tcMod scale 0.32 0.32
		tcMod rotate 5	
	}
	{
		map env/nebula_purple/dense_purple_nebula.tga
		blendfunc filter
		tcMod scroll 0.02 0.02
	}
}

textures/aruba_2/electric_lava
{
    qer_editorimage textures/aruba_2/electric_hell.tga
    qer_nocarve
    q3map_globaltexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm water
    surfaceparm nolightmap
    q3map_surfacelight 1000
    cull disable
    {
        map textures/aruba_2/hell.tga
        tcmod scale 0.10 0.10
        tcmod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc gl_one gl_zero
        rgbGen identity
    }
    {
        map textures/aruba_2/electric_hell.tga
        blendfunc blend
        tcMod turb 0 0.15 0 0.1
    }
    {
		map "textures/aruba_2/tinfx.jpg"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/aruba_2/water
{
	qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 600
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5
	{
		map textures/aruba_2/water.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/aruba_2/water.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/aruba_2/water01
{
	qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 600
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5
	{
		map textures/aruba_2/water01.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/aruba_2/water01.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/aruba_2/water02
{
	qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 600
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5
	{
		map textures/aruba_2/water02.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/aruba_2/water02.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/aruba_2/icy
{
	qer_editorimage "textures/aruba_2/icy.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/aruba_2/icy.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map "textures/aruba_2/tintx.jpg"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/aruba_2/icy_nonsolide
{
	qer_editorimage "textures/aruba_2/icy_nonsolide.jpg"
     surfaceparm nonsolid
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/aruba_2/icy_nonsolide.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
	{
		map "textures/aruba_2/tintx.jpg"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/aruba_2/camo
{
	qer_editorimage "textures/aruba_2/camo.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/aruba_2/camo.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/gost_wall
{
	qer_editorimage "textures/aruba_2/gost_wall.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/aruba_2/gost_wall.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/02
{
	qer_editorimage "textures/aruba_2/02.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/aruba_2/02.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/gost_wall2
{
	qer_editorimage "textures/aruba_2/gost_wall2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/aruba_2/gost_wall2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/brick_wall
{
	qer_editorimage "textures/aruba_2/brick_wall.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/aruba_2/brick_wall.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/brick_wall2
{
	qer_editorimage "textures/aruba_2/brick_wall2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/aruba_2/brick_wall2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/brick_wall3
{
	qer_editorimage "textures/aruba_2/brick_wall3.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/aruba_2/brick_wall3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/plast_wood
{
	qer_editorimage "textures/aruba_2/plast_wood.jpg"
	surfaceparm nodamage
     surfaceparm slick
	{
		map "textures/aruba_2/plast_wood.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/concrete
{
	qer_editorimage "textures/aruba_2/concrete.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/aruba_2/concrete.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/stone
{
	qer_editorimage "textures/aruba_2/stone.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/aruba_2/stone.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}


textures/aruba_2/spin_wall
{
	qer_editorimage "textures/aruba_2/spin_wall.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/aruba_2/spin_wall.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/spin_wall2
{
	qer_editorimage "textures/aruba_2/spin_wall2.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/aruba_2/spin_wall2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/steel_trim
{
	qer_editorimage "textures/aruba_2/steel_trim.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/aruba_2/steel_trim.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/tiles_floor
{
	qer_editorimage "textures/aruba_2/tiles_floor.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/aruba_2/tiles_floor.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/tiles2
{
	qer_editorimage "textures/aruba_2/tiles2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/aruba_2/tiles2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/wood
{
	qer_editorimage "textures/aruba_2/wood.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/aruba_2/wood.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/wood2
{
	qer_editorimage "textures/aruba_2/wood2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/aruba_2/wood2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/wood3
{
	qer_editorimage "textures/aruba_2/wood3.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/aruba_2/wood3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/wood4
{
	qer_editorimage "textures/aruba_2/wood4.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/aruba_2/wood4.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/wood5
{
	qer_editorimage "textures/aruba_2/wood5.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/aruba_2/wood5.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/wood6
{
	qer_editorimage "textures/aruba_2/wood6.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/aruba_2/wood6.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/trim_ex
{
	qer_editorimage "textures/aruba_2/trim_ex.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/aruba_2/trim_ex.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/aruba_2/blue
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
     q3map_surfacelight 300
	cull twosided
	{
		map textures/aruba_2/blue.tga
		tcGen environment
                tcmod scale 2 2
		blendfunc GL_ONE GL_ONE
		tcMod turb 0 0.25 0 0.5
	}
}

textures/aruba_2/a_ligth
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 6000
	q3map_lightsubdivide 32
	q3map_lightimage textures/aruba_2/a_blend.jpg
	qer_editorimage textures/aruba_2/a.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aruba_2/a.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aruba_2/a_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/aruba_2/b_ligth
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/aruba_2/b_blend.jpg
	qer_editorimage textures/aruba_2/b.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aruba_2/b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aruba_2/b_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/aruba_2/c_ligth
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/aruba_2/c_blend.jpg
	qer_editorimage textures/aruba_2/c.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aruba_2/c.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aruba_2/c_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/aruba_2/d_ligth
{
	surfaceparm nomarks
	surfaceparm nodamage
	//surfaceparm slick
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/aruba_2/d_blend.jpg
	qer_editorimage textures/aruba_2/d.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aruba_2/d.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/aruba_2/d_blend.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/aruba_2/bars
{
	nopicmip
	qer_trans .6
    	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nonsolid
	cull none
	q3map_globaltexture
	sort additive
	{
		map textures/aruba_2/bars.tga		
		blendFunc GL_ONE GL_ONE
		tcMod scroll .75 0
	}
}

textures/aruba_2/cube_blue
{
     surfaceparm trans
	surfaceparm nodamage
	//surfaceparm slick
	surfaceparm pointlight
	surfaceparm nodamage
	q3map_surfacelight 100
	q3map_lightsubdivide 32
	{
	map textures/aruba_2/cube_blue.tga
      blendfunc add
	rgbGen vertex
	}
	{
           map "textures/aruba_2/tin_x.jpg"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/aruba_2/cube_white
{
     surfaceparm trans
	surfaceparm nodamage
	//surfaceparm slick
	surfaceparm pointlight
	surfaceparm nodamage
	q3map_surfacelight 100
	q3map_lightsubdivide 32
	{
	map textures/aruba_2/cube_white.tga
      blendfunc add
	rgbGen vertex
	}
	{
           map "textures/aruba_2/tin_x.jpg"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/aruba_2/cube_black
{
     surfaceparm trans
	surfaceparm nodamage
	//surfaceparm slick
	surfaceparm pointlight
	surfaceparm nodamage
	q3map_surfacelight 100
	q3map_lightsubdivide 32
	{
	map textures/aruba_2/cube_black.tga
      blendfunc add
	rgbGen vertex
	}
	{
           map "textures/aruba_2/tin_x.jpg"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/aruba_2/cube_red
{
     surfaceparm trans
	surfaceparm nodamage
	//surfaceparm slick
	surfaceparm pointlight
	surfaceparm nodamage
	q3map_surfacelight 100
	q3map_lightsubdivide 32
	{
	map textures/aruba_2/cube_red.tga
      blendfunc add
	rgbGen vertex
	}
	{
           map "textures/aruba_2/tin_x.jpg"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/aruba_2/cube_wello
{
     surfaceparm trans
	surfaceparm nodamage
	//surfaceparm slick
	surfaceparm pointlight
	surfaceparm nodamage
	q3map_surfacelight 100
	q3map_lightsubdivide 32
	{
	map textures/aruba_2/cube_wello.tga
      blendfunc add
	rgbGen vertex
	}
	{
           map "textures/aruba_2/tin_x.jpg"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/aruba_2/cube_coco
{
     surfaceparm trans
	surfaceparm nodamage
	//surfaceparm slick
	surfaceparm pointlight
	surfaceparm nodamage
	q3map_surfacelight 100
	q3map_lightsubdivide 32
	{
	map textures/aruba_2/cube_coco.tga
      blendfunc add
	rgbGen vertex
	}
	{
           map "textures/aruba_2/tin_x.jpg"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/aruba_2/cube_pink
{
     surfaceparm trans
	surfaceparm nodamage
	//surfaceparm slick
	surfaceparm pointlight
	surfaceparm nodamage
	q3map_surfacelight 100
	q3map_lightsubdivide 32
	{
	map textures/aruba_2/cube_pink.tga
      blendfunc add
	rgbGen vertex
	}
	{
           map "textures/aruba_2/tin_x.jpg"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/aruba_2/cube_green
{
     surfaceparm trans
	surfaceparm nodamage
	//surfaceparm slick
	surfaceparm pointlight
	surfaceparm nodamage
	q3map_surfacelight 100
	q3map_lightsubdivide 32
	{
	map textures/aruba_2/cube_green.tga
      blendfunc add
	rgbGen vertex
	}
	{
           map "textures/aruba_2/tin_x.jpg"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}


